org.codehaus.plexus.velocity

## Class ContextClassLoaderResourceLoader

- java.lang.Object
- - org.apache.velocity.runtime.resource.loader.ResourceLoader
  - - org.codehaus.plexus.velocity.ContextClassLoaderResourceLoader

Deprecated.
use `ClasspathResourceLoader`

    @Deprecated
    public class ContextClassLoaderResourceLoader
    extends org.apache.velocity.runtime.resource.loader.ResourceLoader

### Field Summary

### Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

`className, isCachingOn, log, modificationCheckInterval, rsvc`

### Constructor Summary

Constructors
Constructor and Description
`ContextClassLoaderResourceLoader()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`long` `getLastModified(org.apache.velocity.runtime.resource.Resource resource)` Deprecated.
`InputStream` `getResourceStream(String name)` Deprecated.
`void` `init(org.apache.commons.collections.ExtendedProperties configuration)` Deprecated.
`boolean` `isSourceModified(org.apache.velocity.runtime.resource.Resource resource)` Deprecated.

### Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

`commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextClassLoaderResourceLoader

    public ContextClassLoaderResourceLoader()

Deprecated.

### Method Detail

#### init

    public void init(org.apache.commons.collections.ExtendedProperties configuration)

Deprecated.

Specified by:
  `init` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

#### getResourceStream

    public InputStream getResourceStream(String name)
                                  throws org.apache.velocity.exception.ResourceNotFoundException

Deprecated.

Specified by:
  `getResourceStream` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`
Throws:
  `org.apache.velocity.exception.ResourceNotFoundException`

#### isSourceModified

    public boolean isSourceModified(org.apache.velocity.runtime.resource.Resource resource)

Deprecated.

Specified by:
  `isSourceModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

#### getLastModified

    public long getLastModified(org.apache.velocity.runtime.resource.Resource resource)

Deprecated.

Specified by:
  `getLastModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`